//
//  OrderDetailTopView.m
//  ALand
//
//  Created by Z on 16/3/30.
//  Copyright © 2016年 Z. All rights reserved.
//

#import "OrderDetailTopView.h"

@interface OrderDetailTopView ()
@property (weak, nonatomic) IBOutlet UILabel *labelBottom;
@property (weak, nonatomic) IBOutlet UIView *labelLastView;
@property (weak, nonatomic) IBOutlet UIImageView *imageViewTag;

@end
@implementation OrderDetailTopView
- (void)awakeFromNib {
    
       
}

- (void)updateTag {
    switch (self.orderType) {
        case ORDERTOPTYPE_NOPAYMENT:
            
            self.imageViewTag.image = [UIImage imageNamed:@"order_state_noPayment"];
            
            break;
        case ORDERTOPTYPE_WAITFORDISPATCH:
            
            self.imageViewTag.image = [UIImage imageNamed:@"order_state_unstasport"];
            
            break;
        case ORDERTOPTYPE_TRANSPORTED:
            
            self.imageViewTag.image = [UIImage imageNamed:@"order_state_transported"];
            
            
            break;
        case ORDERTOPTYPE_COMMPLETE:
            
            break;
        case ORDERTOPTYPE_CANCELED:
            
            break;
            
        default:
            break;
    }

}


- (CGFloat)viewHeight {
    [self.labelLastView layoutIfNeeded];
    return self.labelLastView.bottom;
}
/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
